import React from 'react';
import { ClassNamesFn } from '../theme';
export interface ImageGalleryProps {
    classnames: ClassNamesFn;
    classPrefix: string;
    children: React.ReactNode;
}
export interface ImageGalleryState {
    isOpened: boolean;
    index: number;
    items: Array<{
        src: string;
        originalSrc: string;
        title?: string;
        caption?: string;
    }>;
}
export declare class ImageGallery extends React.Component<ImageGalleryProps, ImageGalleryState> {
    state: ImageGalleryState;
    handleImageEnlarge(info: {
        src: string;
        originalSrc: string;
        list?: Array<{
            src: string;
            originalSrc: string;
            title?: string;
            caption?: string;
        }>;
        title?: string;
        caption?: string;
        index?: number;
    }): void;
    close(): void;
    prev(): void;
    next(): void;
    handleItemClick(e: React.MouseEvent<HTMLDivElement>): void;
    render(): JSX.Element;
}
declare const _default: React.ComponentClass<Pick<ImageGalleryProps, "children"> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof ImageGallery;
};
export default _default;
